# kparts Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::GUIActivateEvent Class Reference

This event is sent to a Part when its GUI has been activated or deactivated. More...

`#include <event.h>`

Inheritance diagram for KParts::GUIActivateEvent:

[legend]
Collaboration diagram for KParts::GUIActivateEvent:

[legend]
List of all members.

## Public Member Functions

| GUIActivateEvent (bool activated)
bool | activated () const

## Static Public Member Functions

bool | test (const QEvent *event)

## Detailed Description

This event is sent to a Part when its GUI has been activated or deactivated.

This is related to PartActivateEvent, but the difference is that GUIActivateEvent happens later (when the GUI is actually built), only for parts that have GUI elements, and only if using KParts::MainWindow.

See also:
  KParts::Part::guiActivateEvent()

Definition at line 52 of file event.h.

The documentation for this class was generated from the following files:

- event.h
- event.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001